summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S43ntp
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S43ntp')
-rwxr-xr-xtarget/device/Atmel/atstk1002/target_skeleton/etc/init.d/S43ntp27
1 files changed, 27 insertions, 0 deletions
diff --git a/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S43ntp b/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S43ntp
new file mode 100755
index 000000000..f996ab09f
--- /dev/null
+++ b/target/device/Atmel/atstk1002/target_skeleton/etc/init.d/S43ntp
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+NTPDATE=/usr/bin/ntpdate
+
+if [ -f /etc/default/ntpdate ]; then
+ . /etc/default/ntpdate
+else
+ echo " missing /etc/default/ntpdate"
+ exit 1
+fi
+
+echo -n "Starting ntpdate:"
+if [ ! -x ${NTPDATE} ]; then
+ echo " missing"
+ echo -n " WARNING: could not syncronize clock, "
+ echo "edit NTPSERVERS in /etc/default/ntpdate."
+ exit 1
+fi
+
+if ${NTPDATE} $NTPOPTIONS $NTPSERVERS > /dev/null 2> /dev/null; then
+ echo " done"
+else
+ echo " failed"
+ echo -n " WARNING: could not syncronize clock, "
+ echo "edit NTPSERVERS in /etc/default/ntpdate."
+ exit 1
+fi